import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		id: commonLogic.appcommonhandle("标识",null),
		name: commonLogic.appcommonhandle("标题",null),
		source_entity_id: commonLogic.appcommonhandle("源实体标识",null),
		source_entity_name: commonLogic.appcommonhandle("源实体名称",null),
		source_ds_id: commonLogic.appcommonhandle("源实体数据源",null),
		source_system_id: commonLogic.appcommonhandle("源实体系统标识",null),
		source_expression: commonLogic.appcommonhandle("源数据表达式",null),
		entity_id: commonLogic.appcommonhandle("目标实体标识",null),
		entity_name: commonLogic.appcommonhandle("目标实体",null),
		ds_id: commonLogic.appcommonhandle("目标数据源",null),
		system_id: commonLogic.appcommonhandle("系统标识",null),
		mapping_config: commonLogic.appcommonhandle("映射配置",null),
		group: commonLogic.appcommonhandle("分组",null),
		run_order: commonLogic.appcommonhandle("排序",null),
		run_cron: commonLogic.appcommonhandle("定时器cron",null),
		etl_timestamp: commonLogic.appcommonhandle("时间戳",null),
		last_run_time: commonLogic.appcommonhandle("上次运行开始时间",null),
		last_end_time: commonLogic.appcommonhandle("上次运行结束时间",null),
		last_run_result: commonLogic.appcommonhandle("上次运行结果",null),
		last_read: commonLogic.appcommonhandle("上次运行读取行",null),
		last_write: commonLogic.appcommonhandle("上次运行写入行",null),
		is_enable: commonLogic.appcommonhandle("是否启用",null),
		updatedate: commonLogic.appcommonhandle("最后修改时间",null),
	},
		views: {
			editview: {
				caption: commonLogic.appcommonhandle("ETL表同步",null),
				title: commonLogic.appcommonhandle("ETL表同步编辑视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("ETL表同步",null),
				title: commonLogic.appcommonhandle("ETL表同步表格视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("ETL表同步基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("最后修改时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("标识",null), 
				srfmajortext: commonLogic.appcommonhandle("标题",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				syncid: commonLogic.appcommonhandle("标识",null), 
				syncname: commonLogic.appcommonhandle("标题",null), 
				syncgroup: commonLogic.appcommonhandle("分组",null), 
				srcdsid: commonLogic.appcommonhandle("源实体数据源",null), 
				srcsystemid: commonLogic.appcommonhandle("源系统",null), 
				srcentityid: commonLogic.appcommonhandle("源实体标识",null), 
				srcentityname: commonLogic.appcommonhandle("源实体名称",null), 
				srcexp: commonLogic.appcommonhandle("源数据表达式",null), 
				dsid: commonLogic.appcommonhandle("目标数据源",null), 
				systemid: commonLogic.appcommonhandle("目标系统",null), 
				entityid: commonLogic.appcommonhandle("目标实体标识",null), 
				entityname: commonLogic.appcommonhandle("目标实体",null), 
				mappingcfg: commonLogic.appcommonhandle("映射配置",null), 
				runorder: commonLogic.appcommonhandle("排序",null), 
				runcron: commonLogic.appcommonhandle("定时器cron",null), 
				etltimestamp: commonLogic.appcommonhandle("时间戳",null), 
				lastrunresult: commonLogic.appcommonhandle("上次运行结果",null), 
				lastruntime: commonLogic.appcommonhandle("上次运行开始时间",null), 
				lastendtime: commonLogic.appcommonhandle("上次运行结束时间",null), 
				lastread: commonLogic.appcommonhandle("上次运行读取行",null), 
				lastwrite: commonLogic.appcommonhandle("上次运行写入行",null), 
				isenable: commonLogic.appcommonhandle("是否启用",null), 
				updatedate: commonLogic.appcommonhandle("最后修改时间",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				syncname: commonLogic.appcommonhandle("标题",null),
				syncgroup: commonLogic.appcommonhandle("分组",null),
				runorder: commonLogic.appcommonhandle("排序",null),
				entityname: commonLogic.appcommonhandle("目标实体",null),
				srcentityname: commonLogic.appcommonhandle("源实体名称",null),
				etltimestamp: commonLogic.appcommonhandle("时间戳",null),
				lastrunresult: commonLogic.appcommonhandle("上次运行结果",null),
				lastruntime: commonLogic.appcommonhandle("上次运行开始时间",null),
				lastendtime: commonLogic.appcommonhandle("上次运行结束时间",null),
				lastread: commonLogic.appcommonhandle("上次运行读取行",null),
				lastwrite: commonLogic.appcommonhandle("上次运行写入行",null),
				isenable: commonLogic.appcommonhandle("是否启用",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_syncname_like: commonLogic.appcommonhandle("标题(文本包含(%))",null), 
				n_srcentityname_like: commonLogic.appcommonhandle("源实体名称(文本包含(%))",null), 
				n_entityname_like: commonLogic.appcommonhandle("目标实体标识(文本包含(%))",null), 
				n_lastrunresult_eq: commonLogic.appcommonhandle("上次运行结果(等于(=))",null), 
				n_isenable_eq: commonLogic.appcommonhandle("是否启用(=)",null), 
				n_syncgroup_like: commonLogic.appcommonhandle("分组(%)",null), 
				n_systemid_eq: commonLogic.appcommonhandle("系统标识(等于(=))",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem1_sync: {
				caption: commonLogic.appcommonhandle("同步",null),
				tip: commonLogic.appcommonhandle("同步",null),
			},
			tbitem2: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("删除并关闭",null),
				tip: commonLogic.appcommonhandle("删除并关闭",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("保存并新建",null),
				tip: commonLogic.appcommonhandle("保存并新建",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;